org.apache.solr.search

## Enum Grouping.Format

- java.lang.Object
- - java.lang.Enum<Grouping.Format>
  - - org.apache.solr.search.Grouping.Format

- All Implemented Interfaces:
    Serializable, Comparable<Grouping.Format>
  Enclosing class:
    Grouping

      public static enum Grouping.Format
      extends Enum<Grouping.Format>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `grouped` Grouped result.
    `simple` Flat result.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Grouping.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Grouping.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### grouped

          public static final Grouping.Format grouped

      Grouped result. Each group has its own result set.

    - #### simple

          public static final Grouping.Format simple

      Flat result. All documents of all groups are put in one list.

  - ### Method Detail

    - #### values

          public static Grouping.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Grouping.Format c : Grouping.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Grouping.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.